6.0.0-git
2016-12-08

[#11668] Kolab backend: Crash on concurrent edit
Summary Kolab backend: Crash on concurrent edit
Queue Mnemo
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-11-07 (1492 days ago)
Due
Updated 2016-11-25 (13 days ago)
Assigned 2016-01-18 (325 days ago)
Resolved 2016-11-25 (13 days ago)
Milestone
Patch No

History
2016-11-25 15:09:17 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2016-11-25 15:01:57 Thomas Jarosch Comment #3 Reply to this comment
Is this still an issue?
it's fixed by MJR's new Kolab sync token engine.

Sorry for taking so long to respond, I'm now actively working again on 
the Kolab stuff.

2016-03-08 10:57:44 Jan Schneider State ⇒ No Feedback
 
2016-01-18 20:04:37 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Is this still an issue?
2012-11-07 17:01:13 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kolab backend: Crash on concurrent edit
Queue ⇒ Mnemo
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

lets assume we successfully synced in some notes from the server.
These notes reside in a shared folder.

One client edits a note, the other client didn't update the IMAP cache yet.

If I now try to edit the note on the not-updated-yet client, I'll get a crash:

[Wed Nov 07 17:58:05 2012] [error] [client 172.16.1.253] PHP Fatal 
error:  Call to a member function getFullMsg() on a non-object in 
/datastore/DEVEL/horde/framework/Kolab_Storage/lib/Horde/Kolab/Storage/Driver/Imap.php on line 419, referer: 
https://172.16.1.123/horde/mnemo/memo.php?memo=mxstore%2800bf14a9-1ecc-4582-b1b9-613875b30bb0%29%3CeidFld%3A%3A%3C%28%29-0x0-0x0-0x0%3E%3CSE%3A0x200384%3E%3CRK%3A450f27bf2735e449bc4f0316970a60a1%3E%3E&memolist=ePGEQAhKP71Qjpi_cGDV7KA&actionID=modify_memo

Thomas

Saved Queries